Subject: Re: bug#330: Emacs 22.2: iso-2022-jp fails to encode some valid characters

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 May 2008 22:07:38 +0300

> From: [email-masked] (Andrew Church)
> Date: Wed, 28 May 2008 12:42:38 JST
> Cc: 
> 
> The iso-2022-jp coding system in Emacs 22.2 seems to fail to encode
> certain characters which are in fact valid in that coding system.  For
> example, Unicode character U+2606 WHITE STAR encodes to 0x21 0x79 in
> ISO-2022-JP (JIS X 0208), but when one attempts to save a buffer
> containing this character, Emacs complains about being unable to encode
> that character, and prompts the user to select a different coding system.

What does Emacs tell about these characters if you go to them and type
"C-u C-x ="?  Compare that to what Emacs displays for the same
characters in an iso-2022-jp encoded file, and you might have a hint
as to the nature of the problem.